libapache-mod-musicindex (1.4.1-2) unstable; urgency=medium

  * QA upload.
  * Set Maintainer to Debian QA Group.  (See: #830768)
  * Switch to B-D: default-libmysqlclient-dev.  (Closes: #845862)
  * Build with dh_autoreconf.  (Closes: #754414)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 10 Dec 2016 13:58:32 +0100

libapache-mod-musicindex (1.4.1-1) unstable; urgency=low

  * New upstream release (Closes: #718787, #725574)

 -- Thibaut VARENE <varenet@debian.org>  Tue, 09 Apr 2013 14:35:34 +0200

libapache-mod-musicindex (1.4.0-1) unstable; urgency=low

  * New upstream release
  * Initial support for Apache 2.4 (Closes: #666834)

 -- Thibaut VARENE <varenet@debian.org>  Sun, 14 Oct 2012 16:23:37 +0200

libapache-mod-musicindex (1.3.7-1) unstable; urgency=low

  * New upstream release
  * Enable hardened build
  * Fix lintian warnings
  * Remove Apache 1.3 cruft from debian packaging

 -- Thibaut VARENE <varenet@debian.org>  Sat, 07 Apr 2012 11:02:39 +0200

libapache-mod-musicindex (1.3.6-1) unstable; urgency=low

  * Enable building and linking against libmp4v2
  * Merge patch from Suart Caie (Closes: #640025)
  * Update standards and rules

 -- Thibaut VARENE <varenet@debian.org>  Mon, 31 Oct 2011 18:41:50 +0100

libapache-mod-musicindex (1.3.5-1) unstable; urgency=low

  * Fix Content-Disposition for playlists (Closes: #595232)

 -- Thibaut VARENE <varenet@debian.org>  Thu, 02 Sep 2010 14:31:22 +0200

libapache-mod-musicindex (1.3.4-1) unstable; urgency=low

  * Make MySQL cache faster
  * Add de translation (Closes: #583926)

 -- Thibaut VARENE <varenet@debian.org>  Sun, 06 Jun 2010 19:36:29 +0200

libapache-mod-musicindex (1.3.3-1) unstable; urgency=low

  * Fix typo that broke local RSS icon
  * Fix incorrect maths in file size computation

 -- Thibaut VARENE <varenet@debian.org>  Wed, 26 May 2010 16:07:03 +0200

libapache-mod-musicindex (1.3.2-1) unstable; urgency=low

  * Add nl translation

 -- Thibaut VARENE <varenet@debian.org>  Sun, 23 May 2010 21:56:50 +0200

libapache-mod-musicindex (1.3.1-1) unstable; urgency=medium

  * Fix missing checks in flat file cache (Closes: #568118)
  * Fix mysql cache's directory recording logic

 -- Thibaut VARENE <varenet@debian.org>  Mon, 15 Feb 2010 12:46:07 +0100

libapache-mod-musicindex (1.3.0-1) unstable; urgency=low

  * Implement the (experimental) mysql cache backend
  * Fix size output during recursive search
  * Fix showing Download List without support for tarball in custom list
  * Update autotools (Closes: #558569)

 -- Thibaut VARENE <varenet@debian.org>  Fri, 08 Jan 2010 13:18:00 +0100

libapache-mod-musicindex (1.2.5-1) unstable; urgency=low

  * Fix a couple bugs:
    - cookie overwriting
    - IE7 playlist streaming
    - broken RSS/Podcast
    - Handling of some broken MP3 files (Closes: #502149)
    - .htaccess config handling
  * Compute tarball size to be sent to the browser
  * Make pretty foldres a runtime option

 -- Thibaut VARENE <varenet@debian.org>  Mon, 16 Feb 2009 00:22:12 +0100

libapache-mod-musicindex (1.2.2-3) unstable; urgency=medium

   * Closes: #494857: Wrong Alias directive in configuration file

 -- Thibaut VARENE <varenet@debian.org>  Thu, 14 Aug 2008 21:04:00 +0200

libapache-mod-musicindex (1.2.2-2) unstable; urgency=low

   * The "lazy bastard won't roll out a new release just for translation" repack
   * pt-br translation (Closes: #479641)

 -- Thibaut VARENE <varenet@debian.org>  Thu, 24 Jul 2008 11:14:40 +0200

libapache-mod-musicindex (1.2.2-1) unstable; urgency=low

  * New upstream release
  * Add a summary footer at the end of the songs table
  * Fix some bugs (wrong Download All in search results, bogus mp3 metadata in
    some files)
  * Improve the stylesheet a little bit

 -- Thibaut VARENE <varenet@debian.org>  Sun, 30 Mar 2008 20:44:40 +0200

libapache-mod-musicindex (1.2.1-1) unstable; urgency=low

  * New upstream release
  * Fix 2 minor bugs (single file download and Select panel display)

 -- Thibaut VARENE <varenet@debian.org>  Wed, 22 Aug 2007 14:38:48 +0200

libapache-mod-musicindex (1.2.0-2) unstable; urgency=low

  * Rebuild against FLAC 1.1.4 (Closes: #426652)
  * Suppress apache 1.3 bits, since it's been removed from unstable

 -- Thibaut VARENE <varenet@debian.org>  Thu, 14 Jun 2007 15:42:48 +0200

libapache-mod-musicindex (1.2.0-1) unstable; urgency=low

  * New upstream release
  * Song List now shows filenames (Closes: #416933)
  * Major code rewrite, most "palpable" changes are major speedup and reduced
    memory usage
  * Fixed a memory leak in output-tarball module
  * Fixed alphanumerical sorting of directories
  * Fixed gettext support for apache2
  * Workaround buggy libarchive build
  * Added Album to default fields
  * Added Italian translation
  * Added new status icons
  * More details in the upstream changelog

 -- Thibaut VARENE <varenet@debian.org>  Thu, 24 May 2007 18:27:01 +0200

libapache-mod-musicindex (1.1.5-2) unstable; urgency=low

  * Fix missing mo files (closes: #375596)

 -- Thibaut VARENE <varenet@debian.org>  Sun, 11 Mar 2007 22:08:22 +0100

libapache-mod-musicindex (1.1.5-1) unstable; urgency=low

  * Fix gettext and enforce UTF-8 codeset
  * Convert all "submit" inputs to buttons, making their content translatable
  * Minor CSS improvements

 -- Thibaut VARENE <varenet@debian.org>  Sun, 11 Mar 2007 21:19:31 +0100

libapache-mod-musicindex (1.1.4-1) unstable; urgency=medium

  * Allow local "valid-*" icons (closes: #385619)
  * Document cookie limitations (closes: #388440) and local icons trick
  * Get rid of most <img> tags, replaced with CSS (closes: #381593)

 -- Thibaut VARENE <varenet@debian.org>  Sun, 18 Feb 2007 15:39:09 +0100

libapache-mod-musicindex (1.1.3-4) unstable; urgency=medium

  * apache2-common -> apache2.2-common

 -- Thibaut VARENE <varenet@debian.org>  Sun, 29 Oct 2006 00:15:39 +0200

libapache-mod-musicindex (1.1.3-3) unstable; urgency=medium

  * The "I promise I'll test fixes harder" release

 -- Thibaut VARENE <varenet@debian.org>  Sat, 28 Oct 2006 22:43:32 +0200

libapache-mod-musicindex (1.1.3-2) unstable; urgency=medium

  * Really fix the build :P

 -- Thibaut VARENE <varenet@debian.org>  Sat, 28 Oct 2006 18:22:14 +0200

libapache-mod-musicindex (1.1.3-1) unstable; urgency=low

  * Fix configure script for apache2
  * Acknowledging NMU from Axel Beckert (Closes: #391025)

 -- Thibaut VARENE <varenet@debian.org>  Sat, 28 Oct 2006 15:35:44 +0200

libapache-mod-musicindex (1.1.2-1.1) unstable; urgency=low

  * Non-maintainer upload, BSP Zurich/Switzerland
  * Adapted for Apache 2.2 (Closes: #391025)

 -- Axel Beckert <abe@deuxchevaux.org>  Sun,  8 Oct 2006 12:17:56 +0200

libapache-mod-musicindex (1.1.2-1) unstable; urgency=low

  * Fix xml compliance (Closes: #385370)

 -- Thibaut VARENE <varenet@debian.org>  Sun,  3 Sep 2006 16:50:19 +0200

libapache-mod-musicindex (1.1.1-1) unstable; urgency=low

  * Fix data passing from client to server (Closes: #379567)

 -- Thibaut VARENE <varenet@debian.org>  Tue, 31 Jul 2006 23:30:17 -0700

libapache-mod-musicindex (1.1.0-1) unstable; urgency=low

  * Alternative stylesheet selection now working (Closes: #371164)
  * Make number of columns configurable (Closes: #350759)
  * Fix a bug that broke custom playlists
  * New "MusicIndex" config option
  * Podcast support
  * Archive download support
  * CSS improvements
  * Use icons instead of text wherever possible

 -- Thibaut VARENE <varenet@debian.org>  Sun,  9 Jul 2006 22:36:44 +0200

libapache-mod-musicindex (1.0.2-1) unstable; urgency=low

  * New upstream release

 -- Thibaut VARENE <varenet@debian.org>  Sat,  4 Mar 2006 23:14:00 +0100

libapache-mod-musicindex (1.0.1-1) unstable; urgency=low

  * New upstream release
  
  [ Regis Boudin ]
  * No more bashism in the post{inst,rm} scripts

  [ Thibaut VARENE ]
  * Include a new Id3 genre handling
  * Clarify randomdir action text (Closes: #350563)

 -- Thibaut VARENE <varenet@debian.org>  Fri,  3 Feb 2006 23:52:58 +0100

libapache-mod-musicindex (1.0-1) unstable; urgency=low

  * New upstream release
  * Fixed a serious bug opening too many files on the system
  * Fixed a bunch of potential problems in cache-file

 -- Thibaut VARENE <varenet@debian.org>  Thu, 19 Jan 2006 01:22:11 +0100

libapache-mod-musicindex (0.999-1) experimental; urgency=low

  * New Upstream Release (release candidate for 1.0)
    - icons and css files moved to /usr/share with an alias in apache
      (Closes : #304733)
    - check for .folder.ext as well as cover.ext for cover images
      (Closes : #343689)
  * Switching to non-native package
  * Addition of apache and apache2 conf file with the Alias for /musicindex
  * First gettext attempt
  * New (incompatible with previous versions) configuration syntax

 -- Thibaut VARENE <varenet@debian.org>  Sun,  8 Jan 2006 16:16:22 +0100

libapache-mod-musicindex (0.99.7) unstable; urgency=low

  * Use POST method for sending data
  * Added random directory relocator
  * Reworked MP3 handler, now correctly supports VBR files
  * Added VBR indicator
  * Slight changes in RSS feed format
  * Corrected OGG handler to show nominal bitrate and VBR when possible
  * Fixed a couple of likely bugs (potential buffer overflows)

 -- Thibaut VARENE <varenet@debian.org>  Tue, 28 Sep 2004 18:22:18 +0200

libapache-mod-musicindex (0.99.5) unstable; urgency=high

  * Fixes serious breakage when apache conf doesn't have Port directive
    (closes: #271912)

 -- Thibaut VARENE <varenet@debian.org>  Sat, 18 Sep 2004 12:17:15 +0200

libapache-mod-musicindex (0.99.4) unstable; urgency=medium

  * Closes: #268921: Generates wrong streaming (.m3u) files on https

 -- Thibaut VARENE <varenet@debian.org>  Mon, 30 Aug 2004 00:16:36 +0200

libapache-mod-musicindex (0.99.3.2) unstable; urgency=high

  * Rebuild, reverting the apache2 ABI changes made in my previous NMU
  * Bump apache2 build-dep to (>= 2.0.50-10)

 -- Adam Conrad <adconrad@0c3.net>  Sat, 21 Aug 2004 06:00:15 -0600

libapache-mod-musicindex (0.99.3.1) unstable; urgency=medium

  * Rebuild with bumped build-dependencies for the apache2 LFS
    transition.  (closes: #266179)

 -- Adam Conrad <adconrad@0c3.net>  Tue, 17 Aug 2004 05:51:14 -0600

libapache-mod-musicindex (0.99.3) unstable; urgency=medium

  * Closes: #259255: MP3 handler not working with some specially crafted
    mp3 files

 -- Thibaut Varene <varenet@debian.org>  Tue, 27 Jul 2004 13:41:57 -0400

libapache-mod-musicindex (0.99.2) unstable; urgency=low

  * Added first RSS feed support
  * Cache versionning support
  * Switch to XHTML 1.1 Strict
  * Added FLAC support
  * Fix: display size when requested

 -- Thibaut VARENE <varenet@debian.org>  Sat, 10 Jul 2004 02:43:56 +0200

libapache-mod-musicindex (0.99.0) unstable; urgency=medium

  * Closes: #250241: Support for apache 2 ?
  * Closes: #250245: impossible to remove this package if apache has
    been removed
  * Closes: #250240: No upstream home page address in copyright file
  * Generated pages rework (XHMTL 1.0 strict, CSS cleanup)
  * First implementation of custom cross-directories playlists
  * Removal of useless defined values
  * Configuration change : use of On/Off-type parameters to enable/disable
    features with .htaccess files.
  * Reworked sort system.
  * Autodetect present CSS and make them available
  * Possibility to choose the default CSS file
  * Better use of AllowOverride options

 -- Thibaut VARENE <varenet@debian.org>  Sat, 29 May 2004 13:30:11 +0200

libapache-mod-musicindex (0.9.6) unstable; urgency=low

  * Fixed a segfault when streaming with apache2
  * Fixed the module signature in apache2
  * If the icecast hostname is missing, the URL hostname will be assumed

 -- Thibaut VARENE <varenet@debian.org>  Fri, 12 Mar 2004 02:00:22 +0100

libapache-mod-musicindex (0.9.5) unstable; urgency=low

  * First dupload (closes: #233245)
  * Deep rewrite and split of the code
  * We now use arrays of function pointers to deal with different file types
  * Stricter function pointers declarations
  * Cache subsystem has been rewritten to behave as a file handler itself
  * Makefile now autogenerates dependencies (quit roughly though)

 -- Thibaut VARENE <varenet@debian.org>  Sun,  8 Feb 2004 22:46:44 +0100

libapache-mod-musicindex (0.9.2) unstable; urgency=low

  * Possibility to use an external icecast server for streaming
  * Bugfix in decoding mp3 genre number in brackets
  * Alternative optimized mp3 genre number detection
  * More Apache2 tweaks and code rewrites
  * Added support for gif file as cover image
  * Added favicon
  * Added LGPL license and copyright to README

 -- Thibaut VARENE <varenet@esiee.fr>  Sun, 25 Jan 2004 18:02:08 +0100

libapache-mod-musicindex (0.9.1) unstable; urgency=low

  * Several minor bugfixes (cache, sorting, and playlist)
  * Improved search results sorting
  * Code rewrites and cleanups (got rid of ascii2uri())
  * First attempt at a better handling of stream requests

 -- Thibaut VARENE <varenet@esiee.fr>  Thu, 25 Dec 2003 16:33:12 +0100

libapache-mod-musicindex (0.9.0) unstable; urgency=low

  * Apache2 ready
  * Cache bugfix on BSD systems (EPERM/EISDIR)
  * Playlist code rewrite (merged 2 functions)
  * Code janitorial (got rid of deprecated ap_log functions)

 -- Thibaut VARENE <varenet@esiee.fr>  Wed, 12 Nov 2003 01:04:39 +0100

libapache-mod-musicindex (0.8.9) unstable; urgency=low

  * New upstream release
  * Preparing Apache 2 compat
  * Removed extra includes
  * New option to name root link
  * Reverted zlib change since libid3tag depends on it
  * Got rid of "-1" since it's a native package

 -- Thibaut VARENE <varenet@esiee.fr>  Thu, 30 Oct 2003 13:20:18 +0100

libapache-mod-musicindex (0.8.8-1) unstable; urgency=low

  * New upstream release
  * Offers field sorting in search mode
  * Enhanced error reporting through Apache logs
  * Makefile rewritten
  * Supports OSX and Solaris

 -- Thibaut VARENE <varenet@esiee.fr>  Mon, 20 Oct 2003 20:16:58 +0200

libapache-mod-musicindex (0.8.7-1) unstable; urgency=low

  * New upstream release
  * Fixes cache locking problem
  * Adds new tag field (genre)
  * Minor bugfixes

 -- Thibaut VARENE <varenet@esiee.fr>  Thu, 16 Oct 2003 00:57:38 +0200

libapache-mod-musicindex (0.8.5-1) unstable; urgency=low

  * New upstream release

 -- Thibaut VARENE <varenet@esiee.fr>  Wed, 16 Jul 2003 03:48:32 +0200

libapache-mod-musicindex (0.7.8-1) unstable; urgency=low

  * New upstream release

 -- Thibaut VARENE <varenet@esiee.fr>  Sat, 28 Jun 2003 03:03:07 +0200

libapache-mod-musicindex (0.7.7-1) unstable; urgency=low

  * Initial Release.
  * Reworked Makefile (compilation & installation procedure).

 -- Thibaut VARENE <varenet@esiee.fr>  Wed, 25 Jun 2003 17:19:38 +0200

